﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace WinTimeLineView
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraCalendarInfo1_InitializeDay(object sender, Infragistics.Win.UltraWinSchedule.InitializeDayEventArgs e)
        {

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ClaculateSlots();
        }

        private void ultraComboEditor1_ValueChanged(object sender, EventArgs e)
        {
            ultraTimelineView1.ColumnWidth = (ultraTimelineView1.Width - 12) / (int)ultraComboEditor1.Value;
        }

        private void ultraTimelineView1_SizeChanged(object sender, EventArgs e)
        {
            ClaculateSlots();
        }

        private void ClaculateSlots()
        {
            ultraTimelineView1.Focus();
            ultraComboEditor1.Items.Clear();
            int width = ultraTimelineView1.Width - 12;
            int maxcolumn = width / 12;
            int widthInList = 0;
            for (int i = 1; i <= maxcolumn; i++)
            {
                if (widthInList != (width / i))
                {
                    widthInList = (width / i);
                    ultraComboEditor1.Items.Add(i);
                }
                else
                {
                    ultraComboEditor1.Items[ultraComboEditor1.Items.Count - 1].DataValue = i;
                    ultraComboEditor1.Items[ultraComboEditor1.Items.Count - 1].DisplayText = i.ToString();
                }
            }
            ultraTimelineView1.ColumnWidth = width;
            ultraComboEditor1.SelectedIndex = 0;
        }
    }
}
